
Figure - Bug #117515
【IOVDEV-20102】【内部】【VC1】【0066】【台架/EE环境】【HRYTTESTVINMGM328】【副屏遥控器】
副屏部分图标按键的焦点不显示
2023-04-14 16:36 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-04-14

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 100%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：03.02.0066.C101��副屏版本：0086

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-04-18

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、车机已上电，网络正常

2、台架处于测试环境

【操作手顺】

1、进入副屏遥控器应用，位于按键显示页面

2、移动焦点到最右边最上面相册图标

3、点击遥控器下键

【实际结果】

3、音乐图标的焦点消失

（点击欧克键可以进入音乐界面）

【期望结果】

3、焦点移动到 音乐图标

测试时间：20230403 13：22

副屏遥控器 apk版本：3.0.15.66

副屏版本：86 usedebug版本

副屏和主屏的日志请见附件，测试视频请见附件

History

#1 - 2023-04-14 16:44 - CD FW-程天颖

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-程天颖 to CD APP-王营

launcher方向控制适配问题，帮忙分析一下，谢谢

#2 - 2023-04-14 17:19 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

#3 - 2023-04-14 18:06 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏
#4 - 2023-04-17 20:18 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

hotseat中焦点背景被hotseatBg给盖住了（DragLayer上绘制的背景），解决方案是直接在hotseat中绘制出背景

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/194342

#5 - 2023-04-17 20:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

194342 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Focus drawing issue under remote controlTC-RID: 0301-0205303IssueID: TS-R-BUG-117515Change-Id:

I2f23a84d8518e9c018680f1b7d69f3ff8eed4078

#6 - 2023-04-17 20:37 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to 物联网测试组_TSCD 王维

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-04-18

- Root cause set to 编码问题

#7 - 2023-04-19 17:38 - 物联网测试组_TSCD 王维

- Category changed from CD-APP to 依赖客户及其供应商解决

- Status changed from RESOLVED to VERIFIED

待客户验证

#8 - 2023-04-21 14:22 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to VERIFY_FAILED

#9 - 2023-04-21 14:22 - 物联网测试组_TSCD 王维

- Status changed from VERIFY_FAILED to RESOLVED

#10 - 2023-04-21 14:22 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to NEED_INFO

#11 - 2023-05-05 11:42 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED
客户验证通过

#12 - 2023-05-05 11:42 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#13 - 2023-05-05 11:42 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

13-22.mp4等.zip 7.33 MB 2023-04-14 物联网测试组_TSCD 王维
